#!/bin/bash

naxml="NativeAccess.xml"
tmpxml="/var/tmp/NativeAccess.xml"
svcdir="/Library/Application Support/Native Instruments/Service Center"

# Go to Service Center
cd "$svcdir"
[ $? -ne 0 ] && exit 1

# Make backup
if [ ! -f "$naxml.bak" ]; then
  sudo cp "$naxml" "$naxml.bak"
fi

sudo rm -f "$naxml"

# Build local database XML file
echo '<?xml version="1.0" encoding="UTF-8"?>' > "$tmpxml"
echo '<ProductHints>' >> "$tmpxml"

echo '  <Product version="5">' >> "$tmpxml"
echo '    <UPID>569049f8-b2dc-477f-973a-8c8c7a95a43e</UPID>' >> "$tmpxml"
echo '    <Name>Service Center 2</Name>' >> "$tmpxml"
echo '    <Type>Utility</Type>' >> "$tmpxml"
echo '    <RegKey>ServiceCenter</RegKey>' >> "$tmpxml"
echo '    <AuthSystem>None</AuthSystem>' >> "$tmpxml"
echo '    <Company>Native Instruments GmbH</Company>' >> "$tmpxml"
echo '  </Product>' >> "$tmpxml"

for xml in *.xml; do
  awk '/<Product[ >]/, $NF ~ /<\/Product>/' "$xml" >> "$tmpxml"
done

echo '</ProductHints>' >> "$tmpxml"

# Replace Native Access XML database
sudo cp    "$tmpxml" "$naxml"
sudo chmod 775 "$naxml"
sudo rm -f "$tmpxml"

echo "🎺 Replaced Native Access XML database with local"
read -p "🎹 Press Enter to continue..."
