#!/bin/bash

lib=$1
dir=`pwd`

# Get absolute path
cd /

if [ ! -d "$lib" ]; then
  lib=$dir/$lib
  if [ ! -d "$lib" ]; then
    echo "Invalid Kontakt library path"
    exit 1
  fi
fi

xml=/var/tmp/kontaktLibraryHints.xml

find "$lib" -iname "*.nicnt" -o -iname "*_info.nkx" -type f | while read file
do
  bname=`basename "$file"`

  if [ "$lib/$bname" != "$file" ] && [ "$2" != '-all' ]; then
    echo "Use '-all' to delete libraries recursively"
    exit 1
  fi

  if [[ "$file" != *.nicnt ]]; then
    ldir=`dirname "$file"`
    hasnicnt=`ls "$ldir" | grep -i '.nicnt' | wc -l`
    if [ $hasnicnt -ne 0 ]; then
      continue
    fi
  fi

  awk '/<ProductHints[ >]/, $NF ~ /<\/ProductHints>/' "$file" | LC_ALL=C sed 's/<\/ProductHints>.*/<\/ProductHints>/' | xmllint --format --recover --encode "UTF-8" - > "$xml"
  name=$(xmllint --xpath "string(//Name)" "$xml")
  regkey=$(xmllint --xpath "string(//RegKey)" "$xml")
  plist="/Library/Preferences/com.native-instruments.$regkey.plist"
  xmldist="/Library/Application Support/Native Instruments/Service Center/$name.xml"

  sudo rm -f "$plist"
  sudo rm -f "$xmldist"
  rm -f "$xml"
done
